edu.msu.cme.rdp.classifier.comparison

## Class UncNode

- java.lang.Object
- - edu.msu.cme.rdp.classifier.comparison.AbstractNode
  - - edu.msu.cme.rdp.classifier.comparison.UncNode

All Implemented Interfaces:
  ComparisonBrowserNode, Taxon

    public class UncNode
    extends AbstractNode

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `changeConfidence(SigCalculator cal)`
`ComparisonBrowserNode` `findNode(int id)`
`java.util.Iterator` `getDetailIterator(float conf)`
`java.lang.String` `getName()`
`java.lang.String` `getRank()`
`int` `getTaxid()`

### Methods inherited from class edu.msu.cme.rdp.classifier.comparison.AbstractNode

`getDoubleSignificance, getIndent, getLineageIterator, getS1Count, getS2Count, getSignificance, getTaxonIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `Taxon`
Specified by:
  `getName` in class `AbstractNode`

#### getRank

    public java.lang.String getRank()

Specified by:
  `getRank` in interface `Taxon`
Specified by:
  `getRank` in class `AbstractNode`

#### getTaxid

    public int getTaxid()

Specified by:
  `getTaxid` in interface `Taxon`
Specified by:
  `getTaxid` in class `AbstractNode`

#### findNode

    public ComparisonBrowserNode findNode(int id)

Specified by:
  `findNode` in interface `ComparisonBrowserNode`
Specified by:
  `findNode` in class `AbstractNode`

#### changeConfidence

    public void changeConfidence(SigCalculator cal)

Specified by:
  `changeConfidence` in interface `ComparisonBrowserNode`
Specified by:
  `changeConfidence` in class `AbstractNode`

#### getDetailIterator

    public java.util.Iterator getDetailIterator(float conf)

Specified by:
  `getDetailIterator` in interface `ComparisonBrowserNode`
Specified by:
  `getDetailIterator` in class `AbstractNode`